#if !defined(AFX_SVCSTATSPAGE_H__ECA0F482_B8B9_49EA_B018_129565B9BB0E__INCLUDED_)
#define AFX_SVCSTATSPAGE_H__ECA0F482_B8B9_49EA_B018_129565B9BB0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SvcStatsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSvcStatsPage dialog

class WMWebServiceDesc;

class CSvcStatsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSvcStatsPage)

// Construction
public:
	CSvcStatsPage();
	~CSvcStatsPage();

// Dialog Data
	//{{AFX_DATA(CSvcStatsPage)
	enum { IDD = IDD_SVRSTATS_PAGE };
	CEdit	m_editHost;
	CEdit	m_editPortNbr;
	CButton	m_buttonRefresh;
	CButton	m_buttonConnect;
	CString	m_strHost;
	UINT	m_uNumConnects;
	UINT	m_uNumBytesSent;
	UINT	m_uNumNetErrors;
	UINT	m_uNumIntErrors;
	UINT	m_uNumHTTPErrors;
	UINT	m_uPortNbr;
	//}}AFX_DATA
	BOOL	m_bConnected;
	int		m_nUseExplicitTyping;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSvcStatsPage)
	public:
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL SetupSOAPClient();
	BOOL QueryServiceStats(bool bInitialMsg = false);
	// Generated message map functions
	//{{AFX_MSG(CSvcStatsPage)
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonRefresh();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SVCSTATSPAGE_H__ECA0F482_B8B9_49EA_B018_129565B9BB0E__INCLUDED_)
